[3.2] Inkompatibilität mit PHP 7.2?

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
OLMAN
Mitglied
Beiträge: 3
Registriert: 07.10.2018 16:21

[3.2] Inkompatibilität mit PHP 7.2?

Beitragvon OLMAN » 07.10.2018 16:31

Moinsens, liebe Gemeinde!

Ich will nur mal nachfragen, bevor ich ein drittes Mal phpBB umsonst installiere:
Gibt es Probleme unter dem Einsatz von PHPH7.2? Wenn ja, gibt es einen Workaround? (Habe nix dazu gefunden)
Konnte mich nach dem Ausloggen aus dem ACP nämlich nicht mehr einloggen. Das gleiche galt auch für User, die ich manuell in die DB eingetragen hatte. Nein, das Log habe ich nicht mehr. Da ich aber mit meinem Problem anscheinend nicht alleine da stehe, dachte ich, ich frage hier doch mal nach.

LG

Ubuntu 18.04 / PHP7.2

Benutzeravatar
oxpus
Ehemaliger
Beiträge: 5206
Registriert: 03.02.2003 12:33
Wohnort: Bad Wildungen
Kontaktdaten:

Re: [3.2] Inkompatibilität mit PHP 7.2?

Beitragvon oxpus » 07.10.2018 17:03

Eines vorab: Ich benutze schon länger php 7.2 und habe damit keine Probleme.

Zur Ursachenforschung:
Mal daran gedacht, dass auch der Webserver Probleme bereiten könnte? Ggf. in Verbindung mit php 7.2 irgendein Server-Modul, welches Cookies oder Sessiondaten nicht ordentlich weitergibt?
Auf jeden Fall sollte man den Webserver inkl. aller Module auch immer aktuell halten, um mögliche Fehlerquellen daraus ausschließen zu können.
Aber auch die Kombination gewisser Module, zumindest beim Apache Webserver, können zu Problemen führen.
Es muss also nicht immer php Schuld sein.
Grüße
OXPUS
Kein Support bei unaufgeforderten PNs, E-Mails oder auf anderem Weg!!

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 11932
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: [3.2] Inkompatibilität mit PHP 7.2?

Beitragvon Mahony » 07.10.2018 19:28

Hallo
OLMAN hat geschrieben:Konnte mich nach dem Ausloggen aus dem ACP nämlich nicht mehr einloggen.

Bedeutet genau was? Kam da eine Fehlermeldung? Wenn JA -> Welche?
Hast du auch mal den Cache vom Browser gelöscht, oder mal einen anderen Browser versucht? Oder den PC mal neu gestartet?

Siehe dazu auch >>> viewtopic.php?f=145&t=240893&p=1378276#p1378276

Mahony hat geschrieben:Ich empfehle dir den Cache vom Firefox komplett zu löschen (nicht mit F5 sondern über die Einstellungen - Chronik löschen) und im Anschluss daran den PC einmal neu zu starten (das hatte bei mir geholfen).



Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

OLMAN
Mitglied
Beiträge: 3
Registriert: 07.10.2018 16:21

Re: [3.2] Inkompatibilität mit PHP 7.2?

Beitragvon OLMAN » 08.10.2018 00:23

Also, der Server is 'n fresh install. Danach natürlich update/upgrade durchgeführt. Sprich, es ist alles auf dem neuesten Stand.

Nach Eingabe der Login-Daten und klick auf den Button "Anmelden" werde ich auf die Hauptseite weitergeleitet, auf der zur lesen steht: "Dieses Board ist leider momentan nicht verfügbar.". Da der Link "Anmelden" oben rechts noch immer da ist, zeigt mir das, dass ich nicht eingeloggt wurde.
Auch fehlt der Link zum ACP. DAs Logfile schmeisst auch nix raus.
Aber: Wie ich eben gesehen habe, ändert sich im Login-Formular die Session-ID nach klick auf den Button "Anmelden".....

LG

Benutzeravatar
oxpus
Ehemaliger
Beiträge: 5206
Registriert: 03.02.2003 12:33
Wohnort: Bad Wildungen
Kontaktdaten:

Re: [3.2] Inkompatibilität mit PHP 7.2?

Beitragvon oxpus » 08.10.2018 07:38

Welchen Browser verwendest du?
Mal mit einem anderen versuchen.
Grüße
OXPUS
Kein Support bei unaufgeforderten PNs, E-Mails oder auf anderem Weg!!

OLMAN
Mitglied
Beiträge: 3
Registriert: 07.10.2018 16:21

Re: [3.2] Inkompatibilität mit PHP 7.2? [GELÖST]

Beitragvon OLMAN » 08.10.2018 07:47

Wow! Das war's.
Ich benutze immer Chrome und hatte damit noch nie Probleme. Bis zum gestrigen Tag.
Ich habe probeweise mal den FF genommen und siehe da: Alles funktioniert wie es soll.

Vielen Dank!

Benutzeravatar
oxpus
Ehemaliger
Beiträge: 5206
Registriert: 03.02.2003 12:33
Wohnort: Bad Wildungen
Kontaktdaten:

Re: [3.2] Inkompatibilität mit PHP 7.2?

Beitragvon oxpus » 08.10.2018 08:43

Es geht normalerweise mit Chrome auch.
Der scheint bei dir aber noch Cache Daten zu halten, die nicht zum Forum passen. Vorzugsweise Cookies sollten mal gelöscht werden.
Grüße
OXPUS
Kein Support bei unaufgeforderten PNs, E-Mails oder auf anderem Weg!!


Zurück zu „Support-Forum“